# ApplicationFramework
TKTObj
TObj

# TObj_Assistant Class Reference

This class provides interface to the static data to be used during save or load models. Static data: 1. DataMap of Modeller name - handle to model to be used in loading of references 2. Indexed map of Standard_Type to be used during save or load of object type 3. Handle to the current model - model that is loaded at the current moment.

`#include <TObj_Assistant.hxx>`

## Static Public Member Functions

static Standard_EXPORT | Handle (TObj_Model) FindModel(const Standard_CString theName)
| Finds model by name.
static Standard_EXPORT void | BindModel (const Handle(TObj_Model) theModel)
| Binds model to the map.
static Standard_EXPORT void | ClearModelMap ()
| Clears all records from the model map.
static Standard_EXPORT | Handle (Standard_Type) FindType(const Standard_Integer theTypeIndex)
| Finds Standard_Type by index; returns NULL handle if not found.
static Standard_EXPORT Standard_Integer | FindTypeIndex (const Handle(Standard_Type)&theType)
| Rinds index by Standard_Type; returns 0 if not found.
static Standard_EXPORT Standard_Integer | BindType (const Handle(Standard_Type)&theType)
| Binds Standard_Type to the map; returns index of bound type.
static Standard_EXPORT void | ClearTypeMap ()
| Clears map of types.
static Standard_EXPORT void | SetCurrentModel (const Handle(TObj_Model)&theModel)
| Sets current model.
static Standard_EXPORT | Handle (TObj_Model) GetCurrentModel()
| Returns current model.
static Standard_EXPORT void | UnSetCurrentModel ()
| Unsets current model.
static Standard_EXPORT Standard_Integer | GetAppVersion ()
| Returns the version of application which wrote the currently read document. Returns 0 if it has not been set yet for the current document.

## Static Private Member Functions

static Standard_EXPORT TColStd_SequenceOfTransient & | getModels ()
| Method for taking fields for map of models.
static Standard_EXPORT TColStd_IndexedMapOfTransient & | getTypes ()
| Method for taking fields for map types.
static Standard_EXPORT | Handle (TObj_Model)&getCurrentModel()
| Method for taking fields for the Current model.
static Standard_EXPORT Standard_Integer & | getVersion ()
| Returns application version.

## Member Function Documentation

static Standard_EXPORT void TObj_Assistant::BindModel | ( | const Handle(TObj_Model) | theModel | ) | `[static]`

static Standard_EXPORT Standard_Integer TObj_Assistant::BindType | ( | const Handle(Standard_Type)& | theType | ) | `[static]`

static Standard_EXPORT void TObj_Assistant::ClearModelMap | ( |  | ) | `[static]`

static Standard_EXPORT void TObj_Assistant::ClearTypeMap | ( |  | ) | `[static]`

static Standard_EXPORT Standard_Integer TObj_Assistant::FindTypeIndex | ( | const Handle(Standard_Type)& | theType | ) | `[static]`

static Standard_EXPORT Standard_Integer TObj_Assistant::GetAppVersion | ( |  | ) | `[static]`

static Standard_EXPORT TColStd_SequenceOfTransient& TObj_Assistant::getModels | ( |  | ) | `[static, private]`

static Standard_EXPORT TColStd_IndexedMapOfTransient& TObj_Assistant::getTypes | ( |  | ) | `[static, private]`

static Standard_EXPORT Standard_Integer& TObj_Assistant::getVersion | ( |  | ) | `[static, private]`

static Standard_EXPORT TObj_Assistant::Handle | ( | TObj_Model |  | ) | `[static, private]`

static Standard_EXPORT TObj_Assistant::Handle | ( | TObj_Model |  | ) | `[static]`

static Standard_EXPORT TObj_Assistant::Handle | ( | Standard_Type |  | ) | const`[static]`

| Interface for Map of Standard Types

static Standard_EXPORT TObj_Assistant::Handle | ( | TObj_Model |  | ) | const`[static]`

| Interface for DataMap of Modeller name

static Standard_EXPORT void TObj_Assistant::SetCurrentModel | ( | const Handle(TObj_Model)& | theModel | ) | `[static]`

| Interface to the current model

static Standard_EXPORT void TObj_Assistant::UnSetCurrentModel | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- TObj_Assistant.hxx